# $Revision: 1.25 $, $Date: 2004/08/11 06:09:09 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pnam	SPOPS
Summary:	Simple Perl Object Persistence with Security
Summary(pl):	Simple Perl Object Persistence with Security - bezpieczne zachowywanie obiektw
Name:		perl-SPOPS
Version:	0.87
Release:	3
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/C/CW/CWINTERS/%{pnam}-%{version}.tar.gz
# Source0-md5:	22bdc965f05167b31b97772fd8a72b27
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Class-Accessor >= 0.17
BuildRequires:	perl-Class-Date >= 1.00
BuildRequires:	perl-Class-Factory >= 1.00
BuildRequires:	perl-Class-ISA >= 0.32
BuildRequires:	perl-Devel-StackTrace >= 0.90
BuildRequires:	perl-Log-Dispatch >= 2
BuildRequires:	perl-Log-Log4perl >= 0.35
BuildRequires:	perl-Test-Simple >= 0.41
BuildRequires:	perl-Time-Piece >= 1.07
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Class-Date >= 1.00
Requires:	perl-Class-ISA >= 0.32
Requires:	perl-Class-Factory >= 1.00
Requires:	perl-Devel-StackTrace >= 0.90
Requires:	perl-GDBM_File
Requires:	perl-Time-Piece >= 1.07
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SPOPS allows you to easily define how an object is composed and save,
retrieve or remove it any time thereafter. It is intended for SQL
databases (using the DBI), but you should be able to adapt it to use
any storage mechanism for accomplishing these tasks.

%description -l pl
SPOPS pozwala na atwe definiowanie, jak obiekt jest skadany i
zachowywany, odtwarzany lub usuwany pniej w dowolnej chwili. Jest
przeznaczony do baz danych SQL (przy uyciu DBI), ale powinien da
si zaadaptowa do uywania z dowolnym mechanizmem przechowywania
danych.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/SPOPS
%{perl_vendorlib}/SPOPS/[!M]*
%{perl_vendorlib}/SPOPS.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SPOPS.spec,v $
Revision 1.25  2004/08/11 06:09:09  ankry
- R: perl-GDBM_File, rel. 3

Revision 1.24  2004/08/08 20:50:54  adamg
- release 2

Revision 1.23  2004/06/02 16:04:46  adamg
- updated to 0.87

Revision 1.22  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.21  2004/05/23 23:17:07  adamg
- updated to 0.86

Revision 1.20  2004/05/13 19:10:10  adamg
- cosmetics in BuildRequires (sorted, added perl-Test-Simple)

Revision 1.19  2004/05/13 18:51:52  adamg
- updated to 0.85

Revision 1.18  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.17  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.16  2004/05/05 13:47:09  ankry
- cosmetics

Revision 1.15  2004/04/19 07:24:35  adamg
- BuildRequires: perl-Class-Accessor, perl-Log-Dispatch, perl-Log-Log4perl

Revision 1.14  2004/04/14 13:52:28  adamg
- updated to 0.83

Revision 1.13  2004/02/16 22:08:37  adamg
- updated to 0.80
- new style bconds

Revision 1.12  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.11  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.10  2003/08/18 08:09:11  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:00  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/04/09 15:35:18  ankry
- rel. 3

Revision 1.5  2003/03/27 22:08:01  qboosh
- pl description

Revision 1.4  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.2  2003/02/23 00:57:14  ankry
- updated tp 0.75
- removed manual pods
- added tests and Rs/BRs
- more %%doc files
- rel. 1

Revision 1.1  2003/02/19 21:17:11  mis
- new
